Skip to main content
GET
Read a spreadsheet's rows

Path Parameters

task_id
string<uuid>
required
artifact_id
string<uuid>
required

Query Parameters

offset
integer
default:0
limit
integer
default:100
q
string | null

Only return rows where some cell contains this text (case-insensitive). total_row_count then counts the matching rows.

Maximum string length: 200
sort
string | null

Header name to sort rows by before paging. Empty cells sort last.

Maximum string length: 200
desc
boolean
default:false

Sort descending instead of ascending.

Response

Successful Response